CREATE TABLE fun_stream_requests (
    STREAM_REQUEST_ID           NUMBER(18, 0) ,
    STREAM_STEP_ID              NUMBER(18, 0)     NOT NULL,
    STREAM_ID                   NUMBER(18, 0)     NOT NULL,
    STREAM_STEP_REQUEST_ID      NUMBER(18, 0) ,
    MASTER_STREAM_REQUEST_ID    NUMBER(18, 0)     NOT NULL,
    STREAM_STEP_PROCESS_ID      NUMBER(18, 0)     NOT NULL,
    ESS_JOB_STATUS_CODE         VARCHAR2(80)  ,
    EVENT_TRIGGERED             VARCHAR2(4000),
    EVENT_RECEIVED              VARCHAR2(4000),
    SUBMISSION_TIME             TIMESTAMP(6)      NOT NULL,
    END_TIME                    TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    LOG_FILE_CONTENT_ID         NUMBER(18, 0) ,
    OUT_FILE_CONTENT_ID         NUMBER(18, 0) ,
    LOG_CONTENT                 CLOB          ,
    ERROR_MESSAGE               VARCHAR2(4000),
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY          VARCHAR2(600) ,
    ATTRIBUTE1                  VARCHAR2(600) ,
    ATTRIBUTE2                  VARCHAR2(600) ,
    ATTRIBUTE3                  VARCHAR2(600) ,
    ATTRIBUTE4                  VARCHAR2(600) ,
    ATTRIBUTE5                  VARCHAR2(600) ,
    ATTRIBUTE6                  VARCHAR2(600) ,
    ATTRIBUTE7                  VARCHAR2(600) ,
    ATTRIBUTE8                  VARCHAR2(600) ,
    ATTRIBUTE9                  VARCHAR2(600) ,
    ATTRIBUTE10                 VARCHAR2(600) ,
    ATTRIBUTE11                 VARCHAR2(600) ,
    ATTRIBUTE12                 VARCHAR2(600) ,
    ATTRIBUTE13                 VARCHAR2(600) ,
    ATTRIBUTE14                 VARCHAR2(600) ,
    ATTRIBUTE15                 VARCHAR2(600) ,
    ATTRIBUTE_DATE1             DATE          ,
    ATTRIBUTE_DATE2             DATE          ,
    ATTRIBUTE_DATE3             DATE          ,
    ATTRIBUTE_DATE4             DATE          ,
    ATTRIBUTE_DATE5             DATE          ,
    ATTRIBUTE_NUMBER1           NUMBER        ,
    ATTRIBUTE_NUMBER2           NUMBER        ,
    ATTRIBUTE_NUMBER3           NUMBER        ,
    ATTRIBUTE_NUMBER4           NUMBER        ,
    ATTRIBUTE_NUMBER5           NUMBER        ,
    RECORD_TYPE_CODE            VARCHAR2(120) ,
    STREAM_REQUEST_ID           NUMBER(18, 0) ,
    STREAM_STEP_ID              NUMBER(18, 0)     NOT NULL,
    STREAM_ID                   NUMBER(18, 0)     NOT NULL,
    STREAM_STEP_REQUEST_ID      NUMBER(18, 0) ,
    MASTER_STREAM_REQUEST_ID    NUMBER(18, 0)     NOT NULL,
    ESS_JOB_STATUS_CODE         VARCHAR2(80)  ,
    EVENT_TRIGGERED             VARCHAR2(4000),
    EVENT_RECEIVED              VARCHAR2(4000),
    SUBMISSION_TIME             TIMESTAMP(6)      NOT NULL,
    END_TIME                    TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY          VARCHAR2(600) ,
    ATTRIBUTE1                  VARCHAR2(600) ,
    ATTRIBUTE2                  VARCHAR2(600) ,
    ATTRIBUTE3                  VARCHAR2(600) ,
    ATTRIBUTE4                  VARCHAR2(600) ,
    ATTRIBUTE5                  VARCHAR2(600) ,
    ATTRIBUTE6                  VARCHAR2(600) ,
    ATTRIBUTE7                  VARCHAR2(600) ,
    ATTRIBUTE8                  VARCHAR2(600) ,
    ATTRIBUTE9                  VARCHAR2(600) ,
    ATTRIBUTE10                 VARCHAR2(600) ,
    ATTRIBUTE11                 VARCHAR2(600) ,
    ATTRIBUTE12                 VARCHAR2(600) ,
    ATTRIBUTE13                 VARCHAR2(600) ,
    ATTRIBUTE14                 VARCHAR2(600) ,
    ATTRIBUTE15                 VARCHAR2(600) ,
    ATTRIBUTE_DATE1             DATE          ,
    ATTRIBUTE_DATE2             DATE          ,
    ATTRIBUTE_DATE3             DATE          ,
    ATTRIBUTE_DATE4             DATE          ,
    ATTRIBUTE_DATE5             DATE          ,
    ATTRIBUTE_NUMBER1           NUMBER        ,
    ATTRIBUTE_NUMBER2           NUMBER        ,
    ATTRIBUTE_NUMBER3           NUMBER        ,
    ATTRIBUTE_NUMBER4           NUMBER        ,
    ATTRIBUTE_NUMBER5           NUMBER        ,
    RECORD_TYPE_CODE            VARCHAR2(120) ,
    STREAM_STEP_PROCESS_ID      NUMBER(18, 0)     NOT NULL,
    LOG_FILE_CONTENT_ID         NUMBER(18, 0) ,
    OUT_FILE_CONTENT_ID         NUMBER(18, 0) ,
    ERROR_MESSAGE               VARCHAR2(4000),
    LOG_CONTENT                 CLOB          ,
    CONSTRAINT pk_fun_stream_requests PRIMARY KEY (STREAM_REQUEST_ID, STREAM_REQUEST_ID)
);
